Commit ad905869 authored by Christian Kandeler's avatar Christian Kandeler
Browse files

Maemo: Several Meego fixes.

- Deploy to sysroot via xrpm in case of RPM-based target.
- Set sensible default attributes in spec file.
- Add "/usr" to spec file as default. Should suffice in the common case.
- Adapt target removal message to fit the RPM case as well.
parent eeedd340
......@@ -613,7 +613,9 @@ void MaemoDeployStep::installToSysroot()
const Qt4BuildConfiguration * const bc
= static_cast<Qt4BuildConfiguration *>(buildConfiguration());
const QtVersion * const qtVersion = bc->qtVersion();
const QStringList args = QStringList() << QLatin1String("xdpkg")
const QString command = QLatin1String(
packagingStep()->debBasedMaemoTarget() ? "xdpkg" : "xrpm");
const QStringList args = QStringList() << command
<< QLatin1String("-i") << packagingStep()->packageFilePath();
MaemoGlobal::callMadAdmin(*m_sysrootInstaller, args, qtVersion, true);
if (!m_sysrootInstaller->waitForStarted()) {
......
......@@ -305,6 +305,7 @@ QString MaemoRunConfiguration::remoteExecutableFilePath() const
: QString();
}
// TODO: Move to deploy step
MaemoPortList MaemoRunConfiguration::freePorts() const
{
const Qt4BuildConfiguration * const qt4bc = activeQt4BuildConfiguration();
......
......@@ -248,7 +248,7 @@ void AbstractQt4MaemoTarget::handleTargetToBeRemoved(ProjectExplorer::Target *ta
if (!targetCanBeRemoved())
return;
const int answer = QMessageBox::warning(0, tr("Qt Creator"),
tr("Do you want to remove the packaging directory\n"
tr("Do you want to remove the packaging file(s) "
"associated with the target '%1'?").arg(displayName()),
QMessageBox::Yes | QMessageBox::No, QMessageBox::No);
if (answer == QMessageBox::No)
......@@ -909,7 +909,9 @@ bool AbstractRpmBasedQt4MaemoTarget::createSpecialTemplates()
"BuildRequires: \n"
"# %define _unpackaged_files_terminate_build 0\n"
"%files\n"
"# Add files to be included in the package here.\n"
"%defattr(-,root,root,-)"
"/usr\n"
"# Add additional files to be included in the package here.\n"
"%pre\n"
"# Add pre-install scripts here."
"%post\n"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment